;****************************************************************************
; BasicLib : asm function for basic programs
; v1.0 By Alban Gervaise
; GefunS@I-France.com
;****************************************************************************

;syntax to load a function:
; :x()             ; name of the program
; :Prgm
; :"author" -> a   ; put a function in a string called a
; :basiclib()      ; run basiclib which execute the function
; :...

; general syntax:
; "function[:arg,arg,...][folder\file][file]->a
; basiclib()

; a | char(124) can separate 2 functions
; ex: "Off|Idle_loop"->b_l:basiclib() will turn off ti89 and wait a key...
; (M): symbolizes the functions which can be followed by another one

; the result is always stored in a as a list:
;       "0" -> error
;       "1" -> OK
;other output are descibed in the function list


;function 000: "Version"
;no argument
;Give the current version
;output: string

;function 001: "SetFont" (M)
;SetFont:font
;Load font (0=small/1=middle/2=big)
;output: nothing

;function 002: "Off" (M)
;no argument
;Turn off ti89
;output: nothing

;function 003: "Contrast" (M)
;Contrast:option
;increase (Contrast:up) or decrease contrast (Contrast:down)
;output: nothing

;function 004: "ST_showHelp" (M)
;ST_showHelp:string
;write in the Status Line string
;output: nothing

;function 005: "ST_eraseHelp" (M)
;no argument
;clear the Status Line
;output: nothing

;function 006: "ST_busy" (M)
;ST_busy:value
;put a special indicator (0=nothing/1=busy/2=pause)
;output: nothing

;function 007: "WriteStr" (M)
;WriteStr:x,y,mode,string
;write string at x,y with the mode chosen
;output: nothing

;function 008: "Idle_loop" (M)
;no argument
;same thing as pause : wait until ESC or ENTER is pressed
;output: nothing

;function 009: "SetAPD" (M)
;set_APD: value (number of seconds: 10<value<600)
;put a number of second in the Auto Power Down
;output: nothing

;function 010: "RstAPD" (M)
;no argument
;put the initial value of APD
;output: nothing




;function 011: "GetFolder"
;first case: no argument
;            return a list of the folders of the ti89
;other case: Getfolder:file
;            return the name of the fodler which countains file
;ouput: string (a : separate each element ex: a= "basic:main:other")

;function 012: "GetFile"
;GetFile:folder
;find every file which are in the folder
;output: list inversed

;function 013: "GetSize"
;GetSize:folder\file
;Return the size of a file
;output: string of 5 digit (if size=215: a="00215")

;function 014: "Hide"
:Hide:folder\file
;Hide a file from TIOS
;output: nothing

;function 015: "unHide"
:unHide:folder\file
;Cancelles the effects of hide
;output: nothing




;function 016: "Clr_scr" (M)
;no argument
;Clear all the screen
;output: nothing

;function 017: "Save_scr"
;no argument
;save current screen in a pic of 240*128
;output: pic

;function 018: "Rcl_scr" (M)
;rcl_scr:folder\file
;put the pic as the screen
;output: nothing

;function 019: "Rcl_ST_line" (M)
;no argument
;redraw the Status Line
;output: noting

;function 020: "Verti" (M)
;Verti:x,y1,y2[,mode]
;draw a vertical line with x coord
;output: nothing

;function 021: "Horiz" (M)
;Horiz:x1,y,x2[,mode]
;draw a horizontal line with y coord
;output: noting

;function 022: "Pixel" (M)
;pixel:x,y[,mode]
;draw a plot at x,y
;output: nothing
 
;function 023: "Fill" (M)
;fill:x1,y1,x2,y2[,mode]
;draw a rect
;output: nothing

;function 024: "Sprite" (M)
;Sprite:file,x,y[,mode]
;draw a sprite at x,y with mode (1=inverse/2=recover/3=inverse and recover)
;output: nothing
